<?php

/**
 * @file
 * Administration page.
 */

/**
 * Configuration form.
 */
function jstree_menu_admin_settings($form, &$form_state) {

  $form['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General settings'),
    '#weight' => 5,
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

  $form['general']['jstree_menu_theme'] = array(
    '#type' => 'select',
    '#title' => t('jsTree theme'),
    '#options' => array(
      'default' => t('Default'),
      'proton' => t('Proton'),
    ),
    '#default_value' => variable_get('jstree_menu_theme', 'default'),
    '#description' => t('You may have to clear the cache for changes to take effect'),
  );

  $form['general']['jstree_menu_remove_border'] = array(
    '#type' => 'checkbox',
    '#title' => t('Remove border of jsTree.'),
    '#default_value' => variable_get('jstree_menu_remove_border', 0),
  );

  return system_settings_form($form);
}
